debug.h File Reference
`#include "ruby/ruby.h"`
`#include "node.h"`

Go to the source code of this file.

## Macros

#define | dpv(h, v) ruby_debug_print_value(-1, 0, (h), (v))
#define | dp(v) ruby_debug_print_value(-1, 0, "", (v))
#define | dpi(i) ruby_debug_print_id(-1, 0, "", (i))
#define | dpn(n) ruby_debug_print_node(-1, 0, "", (n))
#define | bp() ruby_debug_breakpoint()

## Functions

VALUE | ruby_debug_print_value (int level, int debug_level, const char *header, VALUE v)
ID | ruby_debug_print_id (int level, int debug_level, const char *header, ID id)
NODE * | ruby_debug_print_node (int level, int debug_level, const char *header, const NODE *node)
int | ruby_debug_print_indent (int level, int debug_level, int indent_level)
void | ruby_debug_breakpoint (void)
void | ruby_debug_gc_check_func (void)
void | ruby_set_debug_option (const char *str)

## Macro Definition Documentation

#define bp | ( |  | ) | ruby_debug_breakpoint()

Definition at line 27 of file debug.h.

Referenced by control_frame_dump(), dln_find_1(), inspect1(), inspect2(), match_at(), onig_vsnprintf_with_pattern(), rb_vmdebug_stack_dump_raw(), s3e(), sort_1(), sort_2(), str_transcode0(), VpAddAbs(), and VpSubAbs().

#define dp | ( |  | v | ) | ruby_debug_print_value(-1, 0, "", (v))

Definition at line 23 of file debug.h.

Referenced by allocate_converted_string(), check_env(), dir_each(), dir_initialize(), dir_read(), dir_s_open(), dln_find_1(), fill_cbuf(), finish_writeconv(), glob_helper(), gzfile_getc(), rb_econv_substr_append(), RUBY_ALIAS_FUNCTION(), and vm_make_env_each().

#define dpi | ( |  | i | ) | ruby_debug_print_id(-1, 0, "", (i))

Definition at line 24 of file debug.h.

#define dpn | ( |  | n | ) | ruby_debug_print_node(-1, 0, "", (n))

Definition at line 25 of file debug.h.

#define dpv | ( |  | h,
|  |  | v
| ) |  | ruby_debug_print_value(-1, 0, (h), (v))

Definition at line 22 of file debug.h.

## Function Documentation

void ruby_debug_breakpoint | ( | void |  | ) |

Definition at line 134 of file debug.c.

void ruby_debug_gc_check_func | ( | void |  | ) |

ID ruby_debug_print_id | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | ID | id
| ) |  |

Definition at line 114 of file debug.c.

References id, and rb_id2name().

int ruby_debug_print_indent | ( | int | level,
|  | int | debug_level,
|  | int | indent_level
| ) |  |

Definition at line 75 of file debug.c.

References FALSE, and TRUE.

NODE* ruby_debug_print_node | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | const NODE * | node
| ) |  |

Definition at line 124 of file debug.c.

References nd_line, nd_type, and ruby_node_name().

VALUE ruby_debug_print_value | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | VALUE | v
| ) |  |

Definition at line 95 of file debug.c.

References rb_inspect(), SIGNED_VALUE, and StringValueCStr.

Referenced by ruby_debug_print_v().

void ruby_set_debug_option | ( | const char * | str | ) |

Definition at line 159 of file debug.c.

References ruby_each_words(), and set_debug_option().

Referenced by main().